package shop.alien.store.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import shop.alien.entity.store.StoreStaffConfig;

import java.io.IOException;

public interface StoreStaffConfigService {

    IPage<StoreStaffConfig> getStaffConfigList(int page, int size, String status);

    int addOrUpdateStaffConfig(StoreStaffConfig storeStaffConfig);


    Integer audit(Integer id, Integer status, String rejectionReason);

    StoreStaffConfig getStaffConfigDeatail(Integer id);

    String staffConfigExport(String status) throws IOException;
}
